Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 746727 - /tmp/anaconda-tb-* is not handled properly
/tmp/anaconda-tb-* is not handled properly
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libreport (Show other bugs)
6.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Denys Vlasenko
qe-baseos-tools
:
Depends On:
Blocks: ABRTF17
  Show dependency treegraph
 
Reported: 2011-10-17 12:03 EDT by Richard Marko
Modified: 2016-01-31 21:21 EST (History)
7 users (show)

See Also:
Fixed In Version: libreport-2.0.9-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 03:03:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0841 normal SHIPPED_LIVE Low: abrt, libreport, btparser, and python-meh security and bug fix update 2012-06-19 15:29:03 EDT

  None (edit)
Description Richard Marko 2011-10-17 12:03:34 EDT
Description of problem:
anaconda-tb-* is sometimes recognized as binary file, sometimes as a text file.

Version-Release number of selected component (if applicable):
libreport-2.0.5-10.el6.x86_64

How reproducible:
Sometimes

Steps to Reproduce:
1. crash anaconda
2. save report via logger

Actual results:
anaconda-tb-yCVSf0: Binary file, 853646 bytes
(anaconda-tb-* file is marked as binary file in GUI and logger output.)

Expected results:
$ file anaconda-tb-yCVSf0
anaconda-tb-yCVSf0: ASCII English text, with very long lines, with overstriking

Additional info:
On another occasion it was marked as text file but not embedded into logger output
- https://bugzilla.redhat.com/attachment.cgi?id=528395

Is this also a bug or is it intentional? Logger output without the contents of anaconda-tb-* doesn't contain enough information for the developer to be able fix the issue.
Comment 9 Denys Vlasenko 2012-01-13 10:49:57 EST
Fixed in git:

commit a4cb8e3edb0d91e437c55c0cca5a1ba3b59fdc15
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Fri Jan 13 16:47:26 2012 +0100

    Split text size limit into one limit for bug databases and one for log/email

    Log/email limit is bumped to 1 mbyte.

    I'd say this fixes rhbz#746727. If this will not be enough, then
    maybe we'll need an option/envvar to control max size.
Comment 13 errata-xmlrpc 2012-06-20 03:03:21 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0841.html

Note You need to log in before you can comment on or make changes to this bug.